<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//Auth
Route::post('auth/login', 'AuthController@authenticate');
//Font
Route::get('fonts_list', 'FontController@fonts_list');
//Language
Route::get('languages_list', 'LanguageController@languages_list');
//Theme
Route::get('themes_list', 'ThemeController@themes_list');








// *******   JWT MIddleware  *******

Route::group(['middleware' => ['jwt']], function() {

   //Auth
   Route::group([
      'prefix' => 'auth'
   ], function() {
      Route::get('profile', 'AuthController@profile');
      Route::post('logout', 'AuthController@logout');
      Route::post('refresh', 'AuthController@refresh');
   });

   //User
   Route::post('register_new_user', 'UserController@register_new_user');
   Route::post('edit_current_user', 'UserController@edit_current_user');
   Route::post('delete_current_users', 'UserController@delete_current_users');
   Route::get('get_user_by_id/{id}', 'UserController@get_user_by_id');
   Route::get('users_list/{current_page}/{per_page}/{type}/{key?}', 'UserController@users_list');


   //Company
   Route::post('register_company', 'CompanyController@register_company');
   Route::get('companies_list/{current_page}/{per_page}/{type}/{key?}', 'CompanyController@companies_list');
   Route::post('delete_current_companies', 'CompanyController@delete_current_companies');
   Route::post('handle_csv_file', 'CompanyController@handle_csv_file');



});
